.locator__wrap {
  align-items: center;
  display: flex;
  flex-direction: column;
  max-width: 345px;
  padding-top: 56px;
  width: 100%;
}
.locator__header {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 8px;
  justify-content: center;
  max-width: 311px;
  width: 100%;
}
.locator__title {
  color: #fff;
  font-size: 26px;
  font-weight: 600;
  text-align: center;
}
.locator__subtitle {
  color: #fff;
  font-size: 14px;
  text-align: center;
}
.locator__widgets {
  display: flex;
  flex-direction: column;
  margin-top: 60px;
  position: relative;
  width: 100%;
}
.locator__widgets .wgt-loc__banner-details {
  grid-template-areas: "title" "item-1" "item-2" "item-3" "item-4" !important;
}
.locator__widgets .wgt-loc__banner-details, .locator__widgets .wgt-loc__banner-details-empty {
  border-radius: 0;
}
.locator__widgets .wgt-loc__banner-details-title {
  font-family: var(--tpl-font-primary);
  font-size: 26px;
}
.locator__widgets .wgt-loc__banner-details-description {
  font-size: 14px;
}
.locator .search-stores__search-icon, .locator .search-stores__delete-icon {
  align-items: center;
  justify-content: center;
}
@media screen and (min-width: 758px) {
  .locator__wrap {
    max-width: 766px;
    padding-top: 40px;
  }
  .locator__header {
    max-width: 650px;
  }
  .locator__title {
    font-size: 32px;
  }
  .locator__subtitle {
    font-size: 18px;
  }
  .locator__widgets .wgt-loc__banner-details {
    padding: 51px 25px 16px;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: "title title" "item-1 item-2" "item-3 item-3" "item-4 item-4" !important;
  }
  .locator__widgets .wgt-loc__banner-details-item {
    margin: 0 auto;
    max-width: 440px;
  }
  .locator__widgets .wgt-loc__banner-details-title {
    font-size: 32px;
  }
  .locator__widgets .wgt-loc__banner-details-description {
    font-size: 18px;
  }
}
@media screen and (min-width: 1400px) {
  .locator__wrap {
    max-width: 1320px;
  }
  .locator__header {
    max-width: 1123px;
  }
  .locator__title {
    font-size: 60px;
  }
  .locator__widgets .wgt-loc__map-default, .locator__widgets .wgt-loc__banner-details {
    border-radius: 24px !important;
  }
  .locator__widgets .wgt-loc__banner-details {
    grid-template-areas: "title title title title description-img" "item-1 item-2 item-3 item-4 description-img" !important;
    max-width: 1280px;
    padding: 26px 40px 46px;
    width: 100%;
  }
  .locator__widgets .wgt-loc__banner-details-description {
    font-size: 16px;
  }
  .locator__widgets .wgt-loc__banner-details-item {
    height: 100%;
    max-width: none;
    padding: 0 16px;
  }
  .locator__widgets .wgt-loc__description-img-vibe {
    display: flex;
    height: auto;
    max-width: 351px;
    width: 100%;
  }
}
